Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface RDFReader

All Known Implementing Classes:
  JenaReader

    public interface RDFReader

An `RDFReader` reads a serialized represenation of RDF, e.g. RDF/XML, n-triple or n3 and adds the statements to a model.

Version:
  $Revision: 1.12 $
Author:
  bwm

Method Summary
`void` | `read(Model model, java.io.InputStream r, java.lang.String base)` Read serialized RDF from an `InputStream` and add the statements to a `Model`.
`void` | `read(Model model, java.io.Reader r, java.lang.String base)` It is usually a mistake to use this method.
`void` | `read(Model model, java.lang.String url)` Read serialized RDF from a url and add the statements to a model.
`RDFErrorHandler` | `setErrorHandler(RDFErrorHandler errHandler)` Set an error handler for the reader
`java.lang.Object` | `setProperty(java.lang.String propName, java.lang.Object propValue)` Set the value of a reader property.

Method Detail

### read

    void read(Model model,
              java.io.Reader r,
              java.lang.String base)

  It is usually a mistake to use this method. Read serialized RDF from a `Reader` and add the statements to a `Model`. It is generally better to use an InputStream if possible. `read(Model,InputStream,String)`, otherwise there is a danger of a mismatch between the character encoding of say the FileReader and the character encoding of the data in the file.

  Parameters:
    `model` - The model to which statements are added.
    `r` - the reader from which to read
    `base` - The base to use when converting relative to absolute URI's. The base URI may be null if there are no relative URIs to convert. A base URI of "" may permit relative URIs to be used in the model unconverted.

### read

    void read(Model model,
              java.io.InputStream r,
              java.lang.String base)

  Read serialized RDF from an `InputStream` and add the statements to a `Model`.

  Parameters:
    `model` - The model to which statements are added.
    `r` - The InputStream from which to read
    `base` - The base to use when converting relative to absolute URI's. The base URI may be null if there are no relative URIs to convert. A base URI of "" may permit relative URIs to be used in the model unconverted.

### read

    void read(Model model,
              java.lang.String url)

  Read serialized RDF from a url and add the statements to a model.

  Parameters:
    `model` - the model to which statements should be added
    `url` - the url, as a string, from which the serialized RDF should be read.

### setProperty

    java.lang.Object setProperty(java.lang.String propName,
                                 java.lang.Object propValue)

  Set the value of a reader property.

  The behaviour of a reader may be influenced by setting property values. The properties and there effects may depend on the individual reader implementation.

  An RDFReader's behaviour can be influenced by defining property values interpreted by that particular reader class. The values for such properties can be changed by calling this method.

  No standard properties are defined. For the properties recognised by any particular reader implementation, see the the documentation for that implementation.

  The built-in RDFReaders have properties as defined by:

  N3
  N-TRIPLE
    No properties.
  RDF/XML
  RDF/XML-ABBREV
    See `JenaReader.setProperty(String,Object)`

  Parameters:
    `propName` - the name of the property
    `propValue` - the value of the property
  Returns:
    the previous value of the property, or `null` if there wasn't one

### setErrorHandler

    RDFErrorHandler setErrorHandler(RDFErrorHandler errHandler)

  Set an error handler for the reader

  Parameters:
    `errHandler` - the new error handler
  Returns:
    the previous error handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP